{ stdenv, hugo, fetchgit, pkgs, nodejs, ruby }:

let
    url = "https://dev.danilafe.com/Web-Projects/blog-static.git";
    rev = "c9a7fbf6ddbc56896e87c8c5360350c1ffc69f7d";
    sha256 = "0c0sk9b3ym1zdsr1fpzki17jfkjxvbigr714h8pyvi3v4r65f2q3";
    requiredPackages = import ./required-packages.nix { inherit pkgs nodejs; };
in
    stdenv.mkDerivation {
        name = "blog-static";
        version = rev;
        src = fetchgit {
            inherit url rev sha256;
        };
        builder = ./builder.sh;
        converter = ./convert.rb;
        buildInputs = [ hugo requiredPackages.katex (ruby.withPackages (ps: [ ps.nokogiri ])) ];
    }
